Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.cometd.continuation
Class ContinuationBayeux

    java.lang.Object
      org.mortbay.cometd.MessagePool
          org.mortbay.cometd.AbstractBayeux
              org.mortbay.cometd.continuation.ContinuationBayeux

All Implemented Interfaces:
  org.cometd.Bayeux

    public class ContinuationBayeux

extends AbstractBayeux

Extension of Bayeux that uses `ContinuationClient`s.

Author:
  gregw

Nested Class Summary

Nested classes/interfaces inherited from class org.mortbay.cometd.AbstractBayeux
`AbstractBayeux.ConnectHandler, AbstractBayeux.DefaultPolicy, AbstractBayeux.DisconnectHandler, AbstractBayeux.Handler, AbstractBayeux.HandshakeHandler, AbstractBayeux.MetaPublishHandler, AbstractBayeux.PingHandler, AbstractBayeux.PublishHandler, AbstractBayeux.ServiceChannel, AbstractBayeux.SubscribeHandler, AbstractBayeux.UnsubscribeHandler`

Field Summary

Fields inherited from class org.mortbay.cometd.AbstractBayeux
`_advice, _adviceVersion, _browser2client, _channelIdCache, _channelListeners, _clientListeners, _extensions, _handshakeAdvice, _initialized, _interval, _logLevel, _maxClientQueue, _maxInterval, _maxLazyLatency, _metaPublishHandler, _multiFrameAdvice, _multiFrameInterval, _publishHandler, _random, _request, _requestAvailable, _securityPolicy, _transports, META_CLIENT_ID, META_CONNECT_ID, META_DISCONNECT_ID, META_HANDSHAKE_ID, META_ID, META_PING_ID, META_STATUS_ID, META_SUBSCRIBE_ID, META_UNSUBSCRIBE_ID`

Fields inherited from interface org.cometd.Bayeux
`ADVICE_FIELD, ATTRIBUTE, CHANNEL_FIELD, CLIENT_FIELD, CONNECTION_TYPE_FIELD, DATA_FIELD, ERROR_FIELD, EXT_FIELD, HANDSHAKE_RESPONSE, ID_FIELD, INTERVAL_FIELD, JSON_COMMENT_FILTERED_FIELD, JSON_CONTENT_TYPE, JSONP_DEFAULT_NAME, JSONP_PARAMETER, MESSAGE_PARAMETER, META, META_CLIENT, META_CONNECT, META_DISCONNECT, META_HANDSHAKE, META_PING, META_SLASH, META_STATUS, META_SUBSCRIBE, META_UNSUBSCRIBE, MIN_VERSION_FIELD, NONE_RESPONSE, RECONNECT_FIELD, RETRY_RESPONSE, SERVICE, SERVICE_SLASH, SUBSCRIPTION_FIELD, SUCCESSFUL_FIELD, SUPPORTED_CONNECTION_TYPES_FIELD, TIMESTAMP_FIELD, TRANSPORT_CALLBACK_POLL, TRANSPORT_FIELD, TRANSPORT_FLASH, TRANSPORT_IFRAME, TRANSPORT_LONG_POLL, VERSION_FIELD`

Constructor Summary
`ContinuationBayeux()`

Method Summary
`void` | `destroy()`
`protected void` | `initialize(javax.servlet.ServletContext context)`
`ClientImpl` | `newRemoteClient()`

Methods inherited from class org.mortbay.cometd.AbstractBayeux
`addChannel, addClient, addExtension, addListener, doPublish, extendRcv, extendRcvMeta, extendSendBayeux, extendSendClient, extendSendMeta, getAdvice, getChannel, getChannel, getChannel, getChannelCount, getChannelId, getChannelIdCacheLimit, getChannels, getClient, getClientCount, getClientIDs, getClients, getCurrentRequest, getInterval, getLogLevel, getMaxClientQueue, getMaxInterval, getMaxLazyLatency, getMultiFrameInterval, getSecurityPolicy, getTimeout, handle, hasChannel, hasClient, isDirectDeliver, isInitialized, isJSONCommented, isLogDebug, isLogInfo, isRequestAvailable, logDebug, logDebug, logInfo, logWarn, logWarn, newClient, newClientId, newTransport, removeChannel, removeChannel, removeClient, removeExtension, removeListener, setAdvice, setChannelIdCacheLimit, setDirectDeliver, setInterval, setJSONCommented, setLogLevel, setMaxClientQueue, setMaxInterval, setMaxLazyLatency, setMultiFrameInterval, setRequestAvailable, setSecurityPolicy, setTimeout`

Methods inherited from class org.mortbay.cometd.MessagePool
`getBatchJSON, getJSON, getMsgJSON, newMessage, newMessage, parse, parse, parseTo, setBatchJSON, setJSON, setMsgJSON, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContinuationBayeux

    public ContinuationBayeux()

Method Detail

### newRemoteClient

    public ClientImpl newRemoteClient()

  Specified by:
    `newRemoteClient` in class `AbstractBayeux`

### initialize

    protected void initialize(javax.servlet.ServletContext context)

  Overrides:
    `initialize` in class `AbstractBayeux`

### destroy

    public void destroy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.